petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoComputeGradient

Computes the gradient of the objective function

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeGradient(Tao tao, Vec X, Vec G)

Collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| X | - input vector Many br

### Output Parameter

G -gradient vector Many br

Notes: TaoComputeGradient() is typically used within minimization implementations, Many brso most users would not generally call this routine themselves. Many br

Many br

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetGradientRoutine()

Level:advanced
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages